//$Id: importusers.js,v 1.20 2010/12/22 07:05:22 rajasiddharthan.n Exp $
function showNewDomain()
{
	var ele = document.getElementById('NEW_DOMAIN');
	//alert(ele);
	ele.value="";
	document.getElementById('NEW_DOMAIN_TR').className='';
	document.getElementById('NEW_LINK').className='hide';
}
function hideNewDomain()
{
	document.getElementById('NEW_DOMAIN_TR').className='hide';
	document.getElementById('NEW_LINK').className='show';
}
function addMSSQLNewDomain()
{
	var ele = document.getElementById('NEW_DOMAIN');
	var domain = ele.value;
	if(domain!="")
	{
		var sel=document.getElementById('DOMAINNAME');
		var i=sel.length;
		var option = new Option(domain,domain);
		sel.options[i]=option;
		sel.options[i].selected=true;
		//document.getElementById('DOMAINCONTROLLER').value="";
		//document.getElementById('LOGINNAME').value="";
		hideNewDomain();
		return true;
	}
	alert(I18N.getMsg("js.importusers.addMSSQLNewDomain.alert"));
}
function addNewDomain()
{
	var ele = document.getElementById('NEW_DOMAIN');
	var domain = ele.value;
	if(domain!="")
	{
		var sel=document.getElementById('DOMAINNAME');
		var i=sel.length;
		var option = new Option(domain,domain);
		sel.options[i]=option;
		sel.options[i].selected=true;
		document.getElementById('DOMAINCONTROLLER').value="";
		document.getElementById('LOGINNAME').value="";
		hideNewDomain();
		return true;
	}
	alert(I18N.getMsg("js.importusers.addMSSQLNewDomain.alert"));
}

function DomainObject(dcName,userName)
{
    this.domainController = dcName;
    this.username = userName;
}
function changeADImportType(value)
{
    if(value == "1")
    {
        document.getElementById("usergroups").className="";
        document.getElementById("ou_id").className="hide";
        document.getElementById("ou_help_id").className="hide";
        document.getElementById("ug_help_id").className="";
        document.getElementById("title_id").innerHTML = I18N.getMsg("js.importusers.changeADImportType.innerHTML.1");
    }
    if(value == "2")
    {
        document.getElementById("usergroups").className="hide";
        document.getElementById("ou_id").className="";
        document.getElementById("title_id").innerHTML = I18N.getMsg("js.importusers.changeADImportType.innerHTML.2");
        document.getElementById("ou_help_id").className="";
        document.getElementById("ug_help_id").className="hide";
    }
}

function checkValidDomain(params,params1,users)
{
    var cVDomain = xhr();
    cVDomain.open('GET','jsp/xmlhttp/AjaxResponse.jsp'+params,true);

    cVDomain.onreadystatechange = function() {
        if (cVDomain.readyState == 4) {
            var result = cVDomain.responseText;
            if(result)
            {
            	var pass = trim(cVDomain.responseText);
	            if(trim(pass)!="ERROR")
	            {
                    document.getElementById("ouscanning").className="hide";
                    params1 = params1+"&USERS="+users.value;
                    document.getElementById("userscanning").className="hide";
    	            document.getElementById("statusmessage").className="";
	            startADStatus();
	            setTimeout("CheckADImportStatus();",500);
                    IUFActiveDirectory(params1);
                    setTimeout("CheckADImportMessageStatus();",500);
 	            }
 	            else
                {
                    var domainName = document.getElementById('DOMAINNAME');
                    var secDCName = document.getElementById('SECDOMAINCONTROLLER');
                    document.getElementById('err_domain').innerHTML = '<strong>'+domainName.value+'</strong>';
                    var dcName = document.getElementById('DOMAINCONTROLLER');
                    var str = '<strong>'+dcName.value+'</strong>';
                    if(secDCName!="")
                    {
                        str = str + ',&nbsp;<strong>'+secDCName.value+'</strong>';
                    }
                    document.getElementById('err_dcname').innerHTML = str;
                    document.getElementById('ouscanning').className="hide";
                    document.getElementById('errorscanning').className="";
 	            }
            }
        }
    }
    cVDomain.setRequestHeader("Cache-Control", "no-cache");
    cVDomain.send(null);
}

function collectDCNames()
{
	var dcObj = xhr();
	var domainName = document.getElementById('DOMAINNAME');
	dcObj.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=getDCValue&DOMAINNAME="+domainName.value;
	dcObj.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	dcObj.send(params);
	if(dcObj!=null)
    	{
		if (dcObj.responseText)
		{
		       var dcName = trim(dcObj.responseText);
		       //alert(dcName);
		       if(dcName!="null")
		       {
			document.getElementById("DOMAINCONTROLLER").value=trim(dcName);
		   }
		   else
		   {
			document.getElementById("DOMAINCONTROLLER").value="";
		   }
		}
    	}
   
	var dcObj1 = xhr();
    	dcObj1.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=GetSecondaryDomain&DOMAINNAME="+domainName.value;
	dcObj1.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	dcObj1.send(params);
	if(dcObj1!=null)
    	{
		if (dcObj1.responseText)
		{
		       var pass = trim(dcObj1.responseText);
		       if(pass!="null")
		       {
			document.getElementById("SECDOMAINCONTROLLER").value=trim(pass);
		   }
		   else
		   {
			document.getElementById("SECDOMAINCONTROLLER").value="";
		   }
		}
	}
	var dcObj2 = xhr(); 
	dcObj2.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=getUserNameForDomain&DOMAINNAME="+domainName.value;
	dcObj2.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	dcObj2.send(params);
	if(dcObj2!=null)
    	{
		if (dcObj2.responseText)
		{
		       var pass = trim(dcObj2.responseText);
		       //alert(pass);
		       if(pass!="null")
		       {
			document.getElementById("LOGINNAME").value=trim(pass);
			document.getElementById("PASSWORD").focus();
		   }
		   else
		   {
			document.getElementById("LOGINNAME").value="";
		   }
		}
	}
	var dcObj3 = xhr(); 
	dcObj3.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=getSyncDetails&DOMAINNAME="+domainName.value;
	dcObj3.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	dcObj3.send(params);
	if(dcObj3!=null)
    	{
        	if (dcObj3.responseText)
        	{
			var pass = trim(dcObj3.responseText);
			pass = pass.trim();
			if(pass!='')
			{
				var arr = pass.split(",");
				//alert(pass);
				if(pass!="null")
				{
					selectCombo("day_id",arr[0]);
					selectCombo("hour_id",arr[1]);
					selectCombo("mins_id",arr[2]);
				}
			}
			else
			{
				selectCombo("day_id","00");
				selectCombo("hour_id","00");
				selectCombo("mins_id","00");
			}
		}
	}
    //var domain = new  DomainObject(dcName, pass);
    //domainValue[domainName.value] = domain;
}

var keyMap = new Array();

var mainNode = new NodeObject("Main Tree", "main");
keyMap["main"] = mainNode ;

function NodeObject(dispNameArg, nodeKeyArg)
{
	this.dispName = dispNameArg ;
	this.nodeKey = nodeKeyArg ;
	this.childCount = 0;
	this.parentNodeKey = null;
	this.childNodeKey = null;
	this.nextNodeKey = null;
	this.showHideChildSpan_1 = nodeKeyArg + "_shs_1";
	this.showHideChildSpan_2 = nodeKeyArg + "_shs_2";
	this.joinSpan = nodeKeyArg + "_eis" ;
	this.displaySpan = nodeKeyArg +  "_iis" ;
	this.dispNameSpan = nodeKeyArg +  "_dns" ;
	this.nextChildExtSpan = nodeKeyArg +  "_nes" ;
	this.childSpan = nodeKeyArg +  "_cs" ;
}

function getNode(nodeObj, childCount)
{
	var data = "";

	//**** Create the Node Structure
	//alert(nodeObj);
	data = data + "<table border='0' width='100%' CELLSPACING='0' CELLPADDING='0'>"  ;
	data = data + "<tr align='left'>"  ;
	data = data + "<td width='10'> <span id='" + nodeObj.joinSpan + "' > </span> </td>" ;
	data = data + "<td NOWRAP> <span id='" + nodeObj.displaySpan + "' > </span> </td>"  ;
	data = data + "</tr>";
	data = data + "<tr>";

	if(childCount==0)
	{
		data = data + "<td>";
	}
	else
	{
		data = data + "<td BACKGROUND='/images/joinline.gif'>";
	}

	data = data + "<span id='" + nodeObj.showHideChildSpan_1 + "' > ";
	data = data + "<span id='" + nodeObj.nextChildExtSpan + "' > </span> ";
	data = data + "</span>";
	data = data + "</td> " ;
	data = data + "<td>" ;
	data = data + "<span id='" + nodeObj.showHideChildSpan_2 + "' > ";
	data = data + "<span id='" + nodeObj.childSpan + "' > </span> ";
	data = data + "</span>";
	data = data + "</td> " ;
	data = data + "</tr>" ;
	data = data + "</table> "  ;

	return data ;
}

function isNodeChecked(nodeKey)
{
	var result = false;
	var eleKey = "ID_" + nodeKey ;
	var nodeEle = document.getElementById(eleKey);
	//alert(nodeEle.checked);
	if( (nodeEle!=null) && (nodeEle.checked==true) )
	{
		result = true;
	}
	return result;
}

function createNode(dispNameArg, nodeKey, parentKey, adsPath, checkValue)
{
    //alert(dispNameArg);
    //alert(nodeKey);
    //alert(parentKey);
    //alert(adsPath);
    //alert(checkValue);
  	var parent = keyMap[parentKey];
	//alert(parent);
	var nodeObj = new NodeObject(dispNameArg, nodeKey);
	var nodeData = getNode(nodeObj, parent.childCount);
	//alert(nodeData);
	var nodeAreaSpan = parent.childSpan ;
	var currentData = document.getElementById(nodeAreaSpan).innerHTML;
	var newData = nodeData + currentData ;
	document.getElementById(nodeAreaSpan).innerHTML = newData;

	var dispData = "";
	if(parentKey=="main")
	{
		dispData = dispData + "<img src='/images/rootfolder.gif'>";
		document.getElementById(nodeObj.joinSpan).innerHTML = "<img src='/images/spacer.gif' align='center'>" ;
	}
	else
	{
		dispData = dispData + "<img src='/images/folder.gif'>";
		if(parent.childCount==0)
		{
			document.getElementById(nodeObj.joinSpan).innerHTML = "<img src='/images/join.gif' align='center'>" ;
		}
		else
		{
			document.getElementById(nodeObj.joinSpan).innerHTML = "<img src='/images/joinbottom.gif' align='center'>" ;
		}
	}
	var onChangeStr = " id='ID_" + nodeKey + "' onClick='groupCheck(\"" + nodeKey + "\");' ";
	var newCheckValue = isNodeChecked(parentKey) || checkValue ;
	if(newCheckValue)
	{
		dispData = dispData + "<input type='checkbox' name='selectedOUs' value='" + adsPath + "' CHECKED " + onChangeStr + " >" ;
	}
	else
	{
		dispData = dispData + "<input type='checkbox' name='selectedOUs' value='" + adsPath + "'" +  onChangeStr + ">" ;
	}
	dispData = dispData + " " + dispNameArg ;
	//alert(nodeObj.displaySpan);
	document.getElementById(nodeObj.displaySpan).innerHTML = dispData ;
	document.getElementById(nodeObj.nextChildExtSpan).innerHTML = " " ; //"|";

	//Incrementing Parent's Child Count
	var childCount = parent.childCount + 1 ;
	parent.childCount = childCount ;

	nodeObj.parentNodeKey = parentKey;
	if(childCount==1)
	{
		//First child of the Parent
		parent.childNodeKey = nodeKey;
	}
	else
	{
		//Not the First child of the Parent Node
		var parentFirstChildKey = parent.childNodeKey ;
		if(parentFirstChildKey!=null)
		{
			var parentChildNode = keyMap[parentFirstChildKey] ;
			var fcNextNodeKey = parentChildNode.nextNodeKey;
			while(fcNextNodeKey!=null)
			{
				parentChildNode = keyMap[fcNextNodeKey] ;
				fcNextNodeKey = parentChildNode.nextNodeKey;
			}
			parentChildNode.nextNodeKey = nodeKey;
		}
	}
	//alert(nodeKey);
	//alert(nodeObj);
	keyMap[nodeKey] = nodeObj;
}

function checkAllChildNode(nodeKey, isNextChild, operation)
{
	var nodeObj = keyMap[nodeKey];
	if(nodeObj!=null)
	{
		var nodeIDKey = "ID_" + nodeKey;
		var ele=document.getElementById(nodeIDKey);
		if(ele!=null)
		{
			ele.checked=operation;
		}
		var childNodeKey = nodeObj.childNodeKey;
		if(childNodeKey!=null)
		{
			checkAllChildNode(childNodeKey, true,operation);
		}
		if(isNextChild)
		{
			var nextNodeKey = nodeObj.nextNodeKey;
			if(nextNodeKey!=null)
			{
				checkAllChildNode(nextNodeKey,true,operation);
			}
		}
	}
}

function unCheckParent(nodeKey)
{
	var nodeObj = keyMap[nodeKey];
	if(nodeObj!=null)
	{
		var nodeID = "ID_"+nodeKey;
		var ele=document.getElementById(nodeID);
		if(ele!=null)
		{
			ele.checked=false;
		}

		var parentNodeKey = nodeObj.parentNodeKey;
		if(parentNodeKey!=null || parentNodeKey!="main")
		{
			unCheckParent(parentNodeKey);
		}
	}
}

/****
*
* Function to check/uncheck Parents and children
*
*****/
function groupCheck(nodeKey)
{
	var eleKey = "ID_" + nodeKey ;
	var changedEle = document.getElementById(eleKey);
	if(changedEle.checked==true)
	{
		checkAllChildNode(nodeKey, false, true);
	}
	else
	{
		unCheckParent(nodeKey);
		checkAllChildNode(nodeKey, false, false);
	}
}

function hideShowSyncDetails()
{
	var day = document.getElementById("day_id");
	var hour = document.getElementById("hour_id");
	var min = document.getElementById("mins_id");
	var cuser = document.getElementById("cusers");
	var cusergroups = document.getElementById("cusergroups");
	var cous = document.getElementById("cous");
	if(cuser.value != "")
	{
		day.disabled = true;
		hour.disabled = true;
		min.disabled = true;
		cusergroups.disabled = true;
		cusergroups.className = "txtbox_disabled";
		cous.disabled = true;
		cous.className = "txtbox_disabled";
	}
	else
	{
		day.disabled = false;
		hour.disabled = false;
		min.disabled = false;
		cusergroups.disabled = false;
		cusergroups.className = "textfield";
		cous.disabled = false;
		cous.className = "textfield";
		cuser.disabled = false;
		cuser.className = "textfield";
	}

	if(cusergroups.value!="")
	{
		cuser.disabled = true;
		cuser.className = "txtbox_disabled";
		cous.disabled = true;
		cous.className = "txtbox_disabled";
	}
	else if(cuser.value=="" && cous.value == "")
	{
		cuser.disabled = false;
		cuser.className = "textfield";
		cous.disabled = false;
		cous.className = "textfield";
		cusergroups.disabled = false;
		cusergroups.className = "textfield";
	}

	if(cous.value!="")
	{
		cusergroups.disabled = true;
		cusergroups.className = "txtbox_disabled";
		cuser.disabled = true; 
		cuser.className = "txtbox_disabled";
	}
	else if(cuser.value== "" && cusergroups.value=="")
	{
		cuser.disabled = false;
		cuser.className = "textfield";
		cous.disabled = false;
		cous.className = "textfield";
		cusergroups.disabled = false;
		cusergroups.className = "textfield";
	}
}


function selectCombo(id, value)
{
    var selobj = document.getElementById(id);
    var length = selobj.length;
    for (var j = 0; j < length; j++)
    {
        if (selobj.options[j].value == value)
        {
            selobj.selectedIndex = j;
        }
    }
}

function IUFActiveDirectory(params)
{
    objHTTP100 = xhr();
    objHTTP100.open('GET','jsp/xmlhttp/AjaxResponse.jsp'+params,true);
    //var params = "RequestType=OUSINDOMAIN";

    objHTTP100.onreadystatechange = function() {
        if (objHTTP100.readyState == 4) {
            var result = objHTTP100.responseText;
            if(result)
            {
                //alert("REsult");
                //alert(result);
                if(trim(result)=="SUCCESS")
                {
                    //alert(result);
                }

            }
        }
    }
    objHTTP100.setRequestHeader("Cache-Control", "no-cache");
    objHTTP100.send(null);
}

function showADDetails()
{
    document.getElementById('errorscanning').className = 'hide';
    document.getElementById('step1_id').className ='';
}

function CheckADImportStatus()
{
	var pass = updateADStatus();
	if(pass=="NOTSTARTED")
	{
		document.getElementById('importADUser').className="hide";
	}
	else if(pass=="RUNNING")
	{
		//document.getElementById('mc_loading').className="hide";
		document.getElementById('importADUser').className="importUser";
		setTimeout("CheckADImportStatus();",10000);
	}
	else if(pass=="COMPLETED")
	{
		document.getElementById('importADUser').className="hide";
		resetADStatus();
	}
}

function resetADStatus()
{
	objHTTP100 = xhr();
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=resetADImportStatus";
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);
}

function startADStatus()
{
	objHTTP100 = xhr();
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=startADImportStatus";
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);

}

function resetADMessageStatus()
{
	objHTTP100 = xhr();
	var domainName = document.getElementById('DOMAINNAME');
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=resetADImportMessageStatus&DOMAINNAME="+domainName.value;
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);
	if(objHTTP100!=null)
    {
        if (objHTTP100.responseText)
        {
	       var pass = trim(objHTTP100.responseText);
	       document.getElementById("adimport_result").innerHTML=pass;
        }
    }
}


function CheckADImportMessageStatus()
{
	var pass = updateADMessageStatus();
	if(pass=="ADIMPORT_COMPLETED")
	{
		//alert("inside if");
		document.getElementById("userscanning").className="hide";
    		document.getElementById("statusmessage").className="hide";
        	document.getElementById("result_id").className="";
		document.getElementById('stmsg_id').className = "hide";
		resetADMessageStatus();
	}
	else
	{
	    	document.getElementById('stmsg_id').innerHTML = pass;
   		setTimeout("CheckADImportMessageStatus();",1000);
	}
}

function updateADStatus()
{
	objHTTP100 = xhr();
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=checkADImportStatus";
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);
	if(objHTTP100 != null)
	{
	    if (objHTTP100.responseText)
	    {
		   var pass = trim(objHTTP100.responseText);
		   return pass;
	    }
	}
}

function updateADMessageStatus()
{
    objHTTP100 = xhr();
    objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
    var params = "RequestType=checkADImportMessageStatus";
    objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
    objHTTP100.send(params);
    if(objHTTP100!=null)
    {
        if (objHTTP100.responseText)
        {
	       var pass = trim(objHTTP100.responseText);
	       return pass;
        }
    }
    //return "Testing";
}

function showHideGroupUser(groupName)
{
    var element = document.getElementById(groupName);
    var img_ele = document.getElementById("img_"+groupName);
    if(element.className=="hide")
    {
        element.className = "show";
        img_ele.src = "../../../images/minus.gif"
    }
    else
    {
        element.className = "hide";
        img_ele.src = "../../../images/plus.gif"
    }
}

function xhr()
{
	return AjaxAPI.getXMLHttpRequest();
}

function updateDCStatus()
{
	var updateDCObj = xhr();
	updateDCObj.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=checkDCStatus";
	updateDCObj.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	updateDCObj.send(params);
	if(updateDCObj != null)
	{
	    if (updateDCObj.responseText)
	    {
		   var pass = trim(updateDCObj.responseText);
		   return pass;
	    }
	}
}

function CheckDCStatus()
{
    //alert("check im");
	var pass = updateDCStatus();
	if(pass=="NOTSTARTED")
	{
	}
	else if(pass!="COMPLETED")
	{
        var ele = document.getElementById("dcname_text");
        if(ele != undefined)
        {
            ele.innerHTML = "<strong>"+pass+"</strong>";
        }
   		setTimeout("CheckDCStatus();",2000);
	}
	else if(pass=="COMPLETED")
	{
		resetDCStatus();
	}
}

function resetDCStatus()
{
	var resetDCObj = xhr();
	resetDCObj.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=resetDCStatus";
	resetDCObj.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	resetDCObj.send(params);
}

function startDCStatus()
{
	var startDCObj = xhr();
	startDCObj.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=startDCStatus";
	startDCObj.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	startDCObj.send(params);
}

function getTreeFromDomain(params,ugParams)
{
    var objHTTP101 = xhr();
    objHTTP101.open('GET','jsp/xmlhttp/AjaxResponse.jsp'+params,true);
    //var params = "RequestType=OUSINDOMAIN";

    objHTTP101.onreadystatechange = function() {
        if (objHTTP101.readyState == 4) {
            var result = objHTTP101.responseText;
            if(result)
            {
            	    var pass = trim(objHTTP101.responseText);
	            if(trim(pass)!="ERROR")
	            {
                	    var url ='DummyTree.cc?TREE='+pass;
                	    var reqparams="";
 	        	    AjaxAPI.sendRequest({URL:url,PARAMETERS:reqparams,ONSUCCESSFUNC:handleHttpTreeResponse});
                    	    getUserGroupsFromDomain(ugParams);
 	            }
 	            else
                    {
			    //alert("Error Occurred");
			    var domainName = document.getElementById('DOMAINNAME');
			    document.getElementById('err_domain').innerHTML = '<strong>'+domainName.value+'</strong>';
			    var dcName = document.getElementById('DOMAINCONTROLLER');
			    var secDCName = document.getElementById('SECDOMAINCONTROLLER');
			    var str = '<strong>'+dcName.value+'</strong>';
			    if(secDCName!="")
			    {
				str = str + ',&nbsp;<strong>'+secDCName.value+'</strong>';
			    }
			    document.getElementById('err_dcname').innerHTML = str;
			    document.getElementById('ouscanning').className="hide";
			    document.getElementById('errorscanning').className="";
 	            }
            }
        }
    }
    objHTTP101.setRequestHeader("Cache-Control", "no-cache");
    objHTTP101.send(null);
}

function handleHttpTreeResponse(response)
{
    setTimeout('sleep()',2000);
    var results = response.getOnlyHtml();
    var divrow = document.getElementById("main_cs");
    divrow.innerHTML=results;
}

function getUserGroupsFromDomain(params)
{
    objHTTP100 = xhr();
    objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp'+params,true);

    objHTTP100.onreadystatechange = function() 
    {
        if (objHTTP100.readyState == 4) {
            var result = objHTTP100.responseText;
            if(result)
            {
            	var pass = trim(objHTTP100.responseText);
	            if(trim(pass)!="ERROR")
	            {
                    var divRow = document.getElementById('main_cs1');
                    divRow.innerHTML = trim(pass);
                    document.getElementById("ouscanning").className="hide";
	                document.getElementById("step2_id").className="";
 	            }
 	            else
                {
                    //alert("Error Occurred");
                    var domainName = document.getElementById('DOMAINNAME');
                    document.getElementById('err_domain').innerHTML = '<strong>'+domainName.value+'</strong>';
                    var dcName = document.getElementById('DOMAINCONTROLLER');
                    var secDCName = document.getElementById('SECDOMAINCONTROLLER');
                    var str = '<strong>'+dcName.value+'</strong>';
                    if(secDCName!="")
                    {
                        str = str + ',&nbsp;<strong>'+secDCName.value+'</strong>';
                    }
                    document.getElementById('err_dcname').innerHTML = str;
                    document.getElementById('ouscanning').className="hide";
                    document.getElementById('errorscanning').className="";
 	            }

            }
        }
    }
    objHTTP100.setRequestHeader("Cache-Control", "no-cache");
    objHTTP100.send(null);
}

function sleep()
{
}

function changeAuthMode(authType)
{
	var pass=document.Authentication.enableAUTH.value;
	var ntlm=document.Authentication.ntlm;
	var showMessage = function(response,reqOptions)
	{
		var elem = document.getElementById('CHANGE_AUTH_MODE');
		var spanElm = document.getElementById('CHANGE_AUTH_MODE_MSG');
		var btn = document.getElementById('AUTH_MODE');
		var statustxt = document.getElementById('STATUS_TXT');
		spanElm.innerHTML = trim(response.getOnlyHtml());
		elem.className='';
                var statusbtn=document.getElementById('BUTTON_TXT');
   		setTimeout("document.getElementById('CHANGE_AUTH_MODE').className='hide';",5000);
		if(pass=="Activate")
		{
			
                        statusbtn.innerHTML=I18N.getMsg("js.importusers.changeAuthMode.Disable");//Disable Now
			statustxt.innerHTML = I18N.getMsg("js.importusers.changeAuthMode.innerhtml");
			statustxt.className = "enabledCSS";
			document.Authentication.enableAUTH.value="Deactivate"; //No I18N
			if(ntlm!=undefined)
			{
				document.getElementById('NTLM_IMG').className='hide';
				document.getElementById('NTLM_BTN').className='sec_button';
                                document.getElementById('NTLM_BTN_TXT').innerHTML=I18N.getMsg("js.importusers.changeAuthMode.Enable");//Enable Now
			}
		}
		else
		{
			
                        statusbtn.innerHTML=I18N.getMsg("js.importusers.changeAuthMode.Enable");//Enable Now
			statustxt.innerHTML = I18N.getMsg("js.importusers.enableNTLMAuth.innerhtml");
			statustxt.className = "disabledCSS";
			document.Authentication.enableAUTH.value="Activate"; //No I18N
			if(ntlm!=undefined)
			{
				ntlm.disabled=true;
				document.getElementById('NTLM_IMG').className='uni_button_disabled';
				document.getElementById('NTLM_BTN').className='hide';
				document.Authentication.enableNTLM.value=I18N.getMsg("js.importusers.enableLOCALAuth.value");
				document.getElementById('NTLM_TXT').innerHTML=I18N.getMsg("js.importusers.enableNTLMAuth.innerhtml");
				document.getElementById('NTLM_TXT').className="disabledCSS";
				ntlm.checked=false;
			}
		}
	};
	var reqparams="RequestType="+authType+"&enableAUTH="+pass;
	AjaxAPI.sendRequest({URL:"jsp/xmlhttp/AjaxResponse.jsp",PARAMETERS:reqparams,ONSUCCESSFUNC:showMessage});
}

function enableNTLMAuth()
{
	var pass=document.Authentication.enableNTLM.value;
	var showMessage1 = function(response,reqOptions)
	{
		var elem = document.getElementById('NTLM_AUTH_MODE');
		var spanElm = document.getElementById('NTLM_AUTH_MODE_MSG');
		spanElm.innerHTML = trim(response.getOnlyHtml());
		elem.className='';
                var ntlmstatusbtn=document.getElementById('NTLM_BTN_TXT');
   		setTimeout("document.getElementById('NTLM_AUTH_MODE').className='hide';",5000);
		if(pass=="Activate")
		{
			document.Authentication.enableNTLM.value=I18N.getMsg("js.importusers.enableLOCALAuth.innerhtml");
			document.getElementById('NTLM_TXT').innerHTML=I18N.getMsg("js.importusers.changeAuthMode.innerhtml");
			document.getElementById('NTLM_TXT').className="enabledCSS";
                        ntlmstatusbtn.innerHTML=I18N.getMsg("js.importusers.enableNTLMAuth.Disable");
			
		}
		else
		{
			document.Authentication.enableNTLM.value=I18N.getMsg("js.importusers.enableLOCALAuth.value");
			document.getElementById('NTLM_TXT').innerHTML=I18N.getMsg("js.importusers.enableNTLMAuth.innerhtml");
			document.getElementById('NTLM_TXT').className="disabledCSS";
			ntlmstatusbtn.innerHTML=I18N.getMsg("js.importusers.enableNTLMAuth.Enable");
		}
	};
	var reqparams="RequestType=EDNTLMAuth&enableNTLM="+pass;
	AjaxAPI.sendRequest({URL:"jsp/xmlhttp/AjaxResponse.jsp",PARAMETERS:reqparams,ONSUCCESSFUNC:showMessage1});
}

function enableLOCALAuth(authDirectory)
{
	var pass=document.Authentication.enableLOCAL.value;
	if(pass!="Activate")
	{
	if(confirm(I18N.getMsg("js.importusers.enableLOCALAuth.confirm")+authDirectory))
	{
	var showMessage2 = function(response,reqOptions)
	{
		var elem = document.getElementById('CHANGE_AUTH_MODE');
		var spanElm = document.getElementById('CHANGE_AUTH_MODE_MSG');
		spanElm.innerHTML = trim(response.getOnlyHtml());
		elem.className='show';
   		setTimeout("document.getElementById('CHANGE_AUTH_MODE').className='hide';",5000);
		document.Authentication.enableLOCAL.value=I18N.getMsg("js.importusers.enableLOCALAuth.value");
	};
	var reqparams="RequestType=EDLOCALAuth&enableLOCAL="+pass;
	AjaxAPI.sendRequest({URL:"jsp/xmlhttp/AjaxResponse.jsp",PARAMETERS:reqparams,ONSUCCESSFUNC:showMessage2});
	}
	else{
		document.Authentication.local.checked=true;
	}
	}
	else
	{
		var showMessage3 = function(response,reqOptions)
		{
			var elem = document.getElementById('CHANGE_AUTH_MODE');
			var spanElm = document.getElementById('CHANGE_AUTH_MODE_MSG');
			spanElm.innerHTML = trim(response.getOnlyHtml());
			elem.className='show';
			setTimeout("document.getElementById('CHANGE_AUTH_MODE').className='hide';",5000);
			document.Authentication.enableLOCAL.value=I18N.getMsg("js.importusers.enableLOCALAuth.innerhtml");
		};
		var reqparams="RequestType=EDLOCALAuth&enableLOCAL="+pass;
		AjaxAPI.sendRequest({URL:"jsp/xmlhttp/AjaxResponse.jsp",PARAMETERS:reqparams,ONSUCCESSFUNC:showMessage3});
	}
}

function checkAD(loginform)
{
    var domain = document.getElementById("domain");
    var j_userName = document.getElementById("j_username");
    var userName = document.getElementById("username");
    j_userName.value=userName.value;
    
    if(domain != undefined)
    {
        var value = domain.options[domain.selectedIndex].value;
        if(value != "LOCAL" && userName.value.indexOf("\\") == -1)
        {
            var str = userName.value;
            str = str.toLowerCase();
            var val = value + "\\" + str;
            j_userName.value = val;

	    var domainName = document.createElement("input");
	    domainName.setAttribute("type","hidden");
	    domainName.setAttribute("name","domainName");
	    domainName.setAttribute("value",value);
	    loginform.appendChild(domainName);
        }
    }	
    return true;
}

function changeAuthRuleDataForAD()
{
    var domain = document.getElementById("domain");
    var value = domain.options[domain.selectedIndex].value;
    if(value == "LOCAL")
    {
	
    	document.getElementById("AUTHRULE_NAME").value="Authenticator";
    }
    else
    {
    	document.getElementById("AUTHRULE_NAME").value="ADAuthenticator";
    }
}

function CheckImportStatus()
{
    var pass = updateStatus();
    //alert(pass);
    if(pass=="NOTSTARTED")
    {
        document.getElementById('importUser').className="hide";
    }
    else if(pass=="RUNNING")
    {
        //document.getElementById('mc_loading').className="hide";
        document.getElementById('importUser').className="importUser";
        setTimeout("CheckImportStatus();",10000);
    }
    else if(pass=="COMPLETED")
    {
        document.getElementById('importUser').className="hide"; 
        resetStatus();
    }
}

function updateStatus()
{
	objHTTP100 = xhr();
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=checkImportStatus";
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);
	if (objHTTP100.responseText)
	{
		var pass = trim(objHTTP100.responseText);
		return pass;
	}
}

function resetStatus()
{
	objHTTP100 = xhr();
	objHTTP100.open('POST','jsp/xmlhttp/AjaxResponse.jsp', false);
	var params = "RequestType=resetImportStatus";
	objHTTP100.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
	objHTTP100.send(params);
}


function showSysOIDMessage(response,reqOptions)
{
    var opstatus = response.opStatus;
    if(opstatus == 5)
    {
        document.getElementById('messagediv').className = "gmessage";
        document.getElementById('messagediv').style.visibility = "visible";
        var respMsg = response.getResponsePart("STATUS_MESSAGE");
        respMsg = "<img src=\"/images/error.gif\" border=\"0\" style=\"margin-right:3px;\">&nbsp;&nbsp;" + respMsg;
        document.getElementById('messagediv').innerHTML = respMsg;
    }else
    {
        var respMsg = response.getResponsePart("STATUS_MESSAGE");
        if(respMsg == null)
        {
                respMsg=I18N.getMsg("js.tools.addsysoid");
        }
        respMsg = "<img src=\"/images/information.gif\" border=\"0\" style=\"margin-right:3px;\">&nbsp;&nbsp;" + respMsg;
        document.getElementById('messagediv').className = "gmessage";
        document.getElementById('messagediv').style.visibility = "visible";
        document.getElementById('messagediv').innerHTML = respMsg;
    }
    closeDialog();
}


function showLDAPMessage(response,reqOptions)
{
    var opstatus = response.opStatus;
    //opstatus 4 = success
    //opstatus 5 = failure
    if(opstatus == 5)
    {
        document.getElementById('messagediv').className = "gmessage";
        document.getElementById('messagediv').style.visibility = "visible";
        var respMsg = response.getResponsePart("STATUS_MESSAGE");
        respMsg = "<img src=\"/images/error.gif\" border=\"0\" style=\"margin-right:3px;\">&nbsp;&nbsp;" + respMsg;
        document.getElementById('messagediv').innerHTML = respMsg;
    }
    if(opstatus == 4)
    {
        document.getElementById('messagediv').className = "gmessage";
        document.getElementById('messagediv').style.visibility = "visible";
        var respMsg = response.getResponsePart("STATUS_MESSAGE");
        respMsg = "<img src=\"/images/information.gif\" border=\"0\" style=\"margin-right:3px;\">&nbsp;&nbsp;" + respMsg;
        document.getElementById('messagediv').innerHTML = respMsg;    
 	response.invokeScripts();
    }
}

function saveDomainDetails()
{
    var domainName = document.getElementById('DOMAINNAME');
    if(!validateElement('isNotEmpty',domainName))
    {
        return false;
    }
    var domainController = document.getElementById('DOMAINCONTROLLER');
    if(!validateElement('isNotEmpty',domainController))
    {
        return false;
    }
    var userName = document.getElementById('LOGINNAME');
    if(!validateElement('isNotEmpty',userName))
    {
        return false;
    }
    var password = document.getElementById('PASSWORD');
    if(!validateElement('isNotEmpty',password))
    {
        return false;
    }
    var users = document.getElementById('cusers');
    var secDCName = document.getElementById('SECDOMAINCONTROLLER');
    var day = document.getElementById("day_id").value;
    var hour = document.getElementById("hour_id").value;
    var min = document.getElementById("mins_id").value;
    var reqparams = "RequestType=SAVEDOMAINDETAILS&DOMAINNAME="+domainName.value+"&DCNAME="+domainController.value+"&LOGINNAME="+userName.value+"&PASSWORD="+password.value+"&SECDCNAME="+secDCName.value+"&DAY="+day+"&HOUR="+hour+"&MIN="+min;
    
    var objHTTP1 = new xhr();
    objHTTP1.open('POST','jsp/xmlhttp/AjaxResponse.jsp', true);
    objHTTP1.setRequestHeader ("Content-Type", "application/x-www-form-urlencoded");
    objHTTP1.onreadystatechange = function()
    {
	if (objHTTP1.readyState == 4)
	{
	    if (objHTTP1.responseText)
	    {
		closeDialog();
		document.getElementById('messagediv').className = "gmessage";
		document.getElementById('messagediv').style.visibility = "visible";
		var respMsg = "<img src=\"/images/information.gif\" border=\"0\" style=\"margin-right:3px;\">&nbsp;&nbsp;" + I18N.getMsg("js.importusers.saveDomainDetails.innerhtml");
		document.getElementById('messagediv').innerHTML = respMsg; 
	    }
	}
    }
    objHTTP1.send(reqparams);
}
